Module com.io7m.jregions.core
Package com.io7m.jregions.core.parameterized.sizes

## Class PVolumeSizeD<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PVolumeSizeD<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the volume
  All Implemented Interfaces:
    `PVolumeSizeDType<S>`, `VolumeSizeValuesDType`

      public final class PVolumeSizeD<S>
      extends java.lang.Object
      implements PVolumeSizeDType<S>

  The size of a volume with `double` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PVolumeSizeD.Builder<S>` | Builds instances of type `PVolumeSizeD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S> PVolumeSizeD.Builder<S>` | `builder​()` | Creates a builder for `PVolumeSizeD`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `PVolumeSizeD` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
    `static <S> PVolumeSizeD<S>` | `of​(double sizeX, double sizeY, double sizeZ)` | Construct a new immutable `PVolumeSizeD` instance.
    `double` | `sizeX​()` |
    `double` | `sizeY​()` |
    `double` | `sizeZ​()` |
    `java.lang.String` | `toString​()` | Prints the immutable value `PVolumeSizeD` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeX

          public double sizeX​()

      Specified by:
        `sizeX` in interface `PVolumeSizeDType<S>`
      Specified by:
        `sizeX` in interface `VolumeSizeValuesDType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public double sizeY​()

      Specified by:
        `sizeY` in interface `PVolumeSizeDType<S>`
      Specified by:
        `sizeY` in interface `VolumeSizeValuesDType`
      Returns:
        The value of the `sizeY` attribute

    - #### sizeZ

          public double sizeZ​()

      Specified by:
        `sizeZ` in interface `PVolumeSizeDType<S>`
      Specified by:
        `sizeZ` in interface `VolumeSizeValuesDType`
      Returns:
        The value of the `sizeZ` attribute

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `PVolumeSizeD` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `PVolumeSizeD` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S> PVolumeSizeD<S> of​(double sizeX,
                                               double sizeY,
                                               double sizeZ)

      Construct a new immutable `PVolumeSizeD` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
        `sizeZ` - The value for the `sizeZ` attribute
      Returns:
        An immutable PVolumeSizeD instance

    - #### builder

          public static <S> PVolumeSizeD.Builder<S> builder​()

      Creates a builder for `PVolumeSizeD`.
      Type Parameters:
        `S` - generic parameter S
      Returns:
        A new PVolumeSizeD builder

Copyright © 2017 <code@io7m.com> http://io7m.com